from opencog.atomspace import AtomSpace, types
from opencog.utilities import initialize_opencog
from opencog.type_constructors import *
#To use truth values
from opencog.atomspace import TruthValue
#Import opencog server.
import opencog.cogserver

class MyMindAgent(opencog.cogserver.MindAgent):
	def run(self, atomspace):
		atomspace.add_node(types.ConceptNode, "test")

#Generate an atomspace.
atomspace = AtomSpace()
initialize_opencog(atomspace)
#Create a node.
atomspace.add_node(types.ConceptNode, "My first Python node.")
#Create another node.
atom2 = ConceptNode("Easier way")
#Show the adress.
print(atomspace)
print(atom2.atomspace)
print(str(atom2))
print(atom2.long_string())
print(atom2.name)
print(str(atom2.t))
print(atom2.type_name)

#Create 2 atoms to link them.
node1 = ConceptNode("Atom 1")
node2 = ConceptNode("Atom 2")
#Link the nodes.
link = atomspace.add_link(types.SimilarityLink, [node1, node2])
link.out
#Can also be written in the compact form.
link = SimilarityLink(ConceptNode("Concept1"), ConceptNode("Concept2"))
#To set truth values.
link.tv = TruthValue(0.5, 0.1)
print(link.tv)

my_nodes = atomspace.get_atoms_by_type(types.ConceptNode)
print(my_nodes)
print(my_nodes[0].tv)
print(my_nodes[0].av)


# #! /usr/bin/env python2.7
# #
# # create_atoms_simple.py
# #
# """
# A simple way of creating atoms in the AtomSpace.
# See also create_stoms_by_type.py for an alternate API for atoms.
# """

# from opencog.atomspace import AtomSpace, TruthValue
# from opencog.atomspace import types
# from opencog.type_constructors import *

# a = AtomSpace()

# # Tell the type constructors which atomspace to use.
# set_type_ctor_atomspace(a)

# # Create a truth value asserting true and mostly confident.
# TV = TruthValue(1, 0.8)

# # Add three nodes
# A = ConceptNode('Apple', TV)
# B = ConceptNode('Berry', TruthValue(0.5, 0.75))
# C = ConceptNode('Comestible', TV)

# # Add three inhertance links, asserting that apples are berries
# # and that berries are edible.
# AB = InheritanceLink(A, B, TV)
# BC = InheritanceLink(B, C, TV)
# AC = InheritanceLink(A, C)


# print("The atomspace contains:\n\n", a.get_atoms_by_type(types.Atom))
